# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateScrollBar Class Reference

This class is required because QScrollBar's sliderMoved() signal is really supposed to be a sliderDragged() signal... More...

`#include <kateviewinternal.h>`

Inheritance diagram for KateScrollBar:

[legend]
Collaboration diagram for KateScrollBar:

[legend]
List of all members.

## Signals

void | sliderMMBMoved (int value)

## Public Member Functions

| KateScrollBar (Orientation orientation, class KateViewInternal *parent, const char *name=0L)
bool | showMarks ()
void | setShowMarks (bool b)

## Protected Slots

void | sliderMaybeMoved (int value)
void | marksChanged ()

## Protected Member Functions

virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseReleaseEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | paintEvent (QPaintEvent *)
virtual void | resizeEvent (QResizeEvent *)
virtual void | styleChange (QStyle &oldStyle)
virtual void | valueChange ()
virtual void | rangeChange ()

## Detailed Description

This class is required because QScrollBar's sliderMoved() signal is really supposed to be a sliderDragged() signal...

so this way we can capture MMB slider moves as well

Also, it adds some usefull indicators on the scrollbar.

Definition at line 58 of file kateviewinternal.h.

The documentation for this class was generated from the following files:

- kateviewinternal.h
- kateviewinternal.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:52 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003